PASSWD(1)

NAME
passwd - modify a user's password

SYNOPSIS
passwd [user]
passwd [-d files | -l] [user]
passwd [-d nis | -y] [user]
passwd [-d krb5 | -k] [principal]

DESCRIPTION
passwd changes the user's password. First, the user is prompted for their current password. If the current password is correctly typed, a new password is requested. The new password must be entered twice to avoid typing errors.

The new password should be at least six characters long and not purely alphabetic. Its total length must be less than _PASSWORD_LEN (currently 128 characters). Numbers, upper case letters and meta characters are encouraged.

All options may not be available on all systems.

-d database
    This option specifies the password database that should be updated. The following databases are supported:

    files
        This specifies that the password change should be applied to the local password file. When changing only the local password, passwd uses pwd_mkdb(8) to update the password databases.

    nis This specifies that the password change should be applied to the NIS password database. The rpc.yppasswdd(8) daemon should be running on the master NIS server.

    krb5
        This specifies that the user's Kerberos 5 password should be changed. The host must be configured to use Kerberos. See krb5.conf(5).

-l  This is the equivalent of -d files.

-y  This is the equivalent of -d nis.

-k  This is the equivalent of -d krb5.

If a password database is not specified, passwd will change the password database as determined by the Pluggable Authentication Module (PAM) library.

The type of cipher used to encrypt the password depends on the configuration in passwd.conf(5). It can be different for local and NIS passwords.

FILES
/etc/master.passwd
    The user database
/etc/passwd
    A Version 7 format password file
/etc/passwd.XXXXXX
    Temporary copy of the password file

SEE ALSO
chpass(1), login(1), pwhash(1), passwd(5), passwd.conf(5), pam(8), pwd_mkdb(8), vipw(8) Robert Morris, Ken Thompson, UNIX password security.

HISTORY
A passwd command appeared in AT&T UNIX.